%define section free
#%if "%{?rhel}" == "6"
#%define _jarsign_opts --unsign=%{_javadir}
#%endif

%global reltag _redhat_2
%global meadversion %{version}.Final_redhat_2
%global mavenversion %{version}.Final-redhat-2

%global mavengroup org.jboss.spec.javax.xml.bind
%global artifact0 %{name}

%bcond_without mead

%global title Java Architecture for XML Binding 2.2

%define maven_version 1.0.4.Final-redhat-2

Name:    jboss-jaxb-api_2.2_spec
Version: 1.0.4
Release: 3.Final%{reltag}.1%{?dist}.1
Epoch:   0

License: GNU Library or "Lesser" General Public License version 2.1 (LGPL-2.1)
Summary: Java Architecture for XML Binding 2.2
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.xml.bind-jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2-sources.zip
Source101: org.jboss.spec.javax.xml.bind-jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2-patches.zip
Source102: jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2.jar
Source103: jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2.pom
Source104: jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2-sources.jar
Source105: jboss-jaxb-api_2.2_spec-1.0.4.Final-redhat-2-javadoc.jar
%endif

URL:     https://github.com/jboss/jboss-jaxb-api_spec/

BuildRequires: unzip

Provides: jaxb_api

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Java Architecture for XML Binding Version 2.2 classes.

%package javadoc
Summary:  Javadoc for Java Architecture for XML Binding 2.2
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for Java Architecture for XML Binding 2.2

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/

%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar

(cd %{buildroot}%{_javadir}/ && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{mavenversion} %{name})

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-3.Final_redhat_2.1.1
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-2.Final_redhat_2.1.1
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-1.Final_redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-1.Final_redhat_1.1.1
- Rebuild using cache signing

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.1
- Rebuild

* Mon Apr 16 2012 Lin Gao <lgao@redhat.com> - 0:1.0.4-1.Final_redhat_1
- Upgrade to 1.0.4.Final
- Fix Release tag
- Fix JPP map
- Disable -source subpackage
- Provides jaxb_api

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-2.Final_redhat_1.1.1
- Rebuild using cache signing

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.3-2.Final_redhat_1.1
- Upgrade to new wrapper
- Fix jars' installation path

* Fri Oct 21 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.3-1_redhat_1
- Upgrade to 1.0.3.Final
- Rebuild from git repository

* Fri Oct 21 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.2-1_redhat_1
- Removed non-MEAD stuff from spec file
- Included regular javadoc and sources RPMs
- Build for Werewolf

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.2-1
- Adapted from jboss-jaxrpc_1.1_spec
